Only in httpd-2.2.20/build: config_vars.mk
Only in httpd-2.2.20/build: config_vars.sh
Only in httpd-2.2.20/build/pkg: pkginfo
Only in httpd-2.2.20/build: rules.mk
Only in httpd-2.2.20: build.cmd
Only in httpd-2.2.20: build.log
Only in httpd-2.2.20: build2.log
Only in httpd-2.2.20: buildmark.o
Only in httpd-2.2.20: conf.cmd
Only in httpd-2.2.20: config.log
Only in httpd-2.2.20: config.nice
Only in httpd-2.2.20: config.status
diff -ur httpd-2.2.20-o/configure httpd-2.2.20/configure
--- httpd-2.2.20-o/configure	2011-08-30 09:43:20.000000000 +0930
+++ httpd-2.2.20/configure	2011-09-01 17:12:00.000000000 +0930
@@ -14033,9 +14033,9 @@
 
   if test "x$MOD_SSL_LDADD" = "x"; then
     test "x$silent" != "xyes" && echo "  setting MOD_SSL_LDADD to \"-export-symbols-regex ssl_module\""
-    MOD_SSL_LDADD="-export-symbols-regex ssl_module"
+    MOD_SSL_LDADD=" "
   else
-    apr_addto_bugger="-export-symbols-regex ssl_module"
+    apr_addto_bugger=" "
     for i in $apr_addto_bugger; do
       apr_addto_duplicate="0"
       for j in $MOD_SSL_LDADD; do
Only in httpd-2.2.20: configure.lineno
Only in httpd-2.2.20: configure.log
Only in httpd-2.2.20: configure.orig
Only in httpd-2.2.20/docs/conf/extra: httpd-autoindex.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-dav.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-default.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-info.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-languages.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-manual.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-mpm.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-multilang-errordoc.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-ssl.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-userdir.conf
Only in httpd-2.2.20/docs/conf/extra: httpd-vhosts.conf
Only in httpd-2.2.20/docs/conf: httpd.conf
Only in httpd-2.2.20: httpd
Only in httpd-2.2.20: httpd.dll
Only in httpd-2.2.20: httpd.exe
Only in httpd-2.2.20: httpd.map
Only in httpd-2.2.20: httpddll.map
Only in httpd-2.2.20: httpdexe.pat
Only in httpd-2.2.20/include: ap_config_auto.h
Only in httpd-2.2.20/include: ap_config_layout.h
diff -ur httpd-2.2.20-o/include/ap_config.h httpd-2.2.20/include/ap_config.h
--- httpd-2.2.20-o/include/ap_config.h	2011-04-15 02:07:58.000000000 +0930
+++ httpd-2.2.20/include/ap_config.h	2011-09-01 17:12:00.000000000 +0930
@@ -120,7 +120,7 @@
 #define AP_MODULE_DECLARE(type)            type
 #endif
 #define AP_MODULE_DECLARE_NONSTD(type)     type
-#define AP_MODULE_DECLARE_DATA
+#define AP_MODULE_DECLARE_DATA		
 #else
 /**
  * AP_MODULE_DECLARE_EXPORT is a no-op.  Unless contradicted by the
@@ -241,7 +241,7 @@
 /* TODO - We need to put OS detection back to make all the following work */
 
 #if defined(SUNOS4) || defined(IRIX) || defined(NEXT) || defined(AUX3) \
-    || defined (UW) || defined(LYNXOS) || defined(TPF)
+    || defined (UW) || defined(LYNXOS) || defined(TPF) || defined(__OS2__)
 /* These systems don't do well with any lingering close code; I don't know
  * why -- manoj */
 #define NO_LINGCLOSE
diff -ur httpd-2.2.20-o/include/httpd.h httpd-2.2.20/include/httpd.h
--- httpd-2.2.20-o/include/httpd.h	2011-05-19 11:47:36.000000000 +0930
+++ httpd-2.2.20/include/httpd.h	2011-09-01 17:12:00.000000000 +0930
@@ -107,13 +107,7 @@
  * directive.
  */
 #ifndef DOCUMENT_LOCATION
-#ifdef OS2
-/* Set default for OS/2 file system */
-#define DOCUMENT_LOCATION  HTTPD_ROOT "/docs"
-#else
-/* Set default for non OS/2 file system */
 #define DOCUMENT_LOCATION  HTTPD_ROOT "/htdocs"
-#endif
 #endif /* DOCUMENT_LOCATION */
 
 /** Maximum number of dynamically loaded modules */
@@ -126,7 +120,7 @@
 
 /** The name of the log files */
 #ifndef DEFAULT_ERRORLOG
-#if defined(OS2) || defined(WIN32)
+#if defined(WIN32)
 #define DEFAULT_ERRORLOG "logs/error.log"
 #else
 #define DEFAULT_ERRORLOG "logs/error_log"
@@ -135,12 +129,7 @@
 
 /** Define this to be what your per-directory security files are called */
 #ifndef DEFAULT_ACCESS_FNAME
-#ifdef OS2
-/* Set default for OS/2 file system */
-#define DEFAULT_ACCESS_FNAME "htaccess"
-#else
 #define DEFAULT_ACCESS_FNAME ".htaccess"
-#endif
 #endif /* DEFAULT_ACCESS_FNAME */
 
 /** The name of the server config file */
@@ -154,7 +143,7 @@
 #endif
 
 /** The path to the suExec wrapper, can be overridden in Configuration */
-#if !defined(NETWARE) && !defined(WIN32)
+#if !defined(NETWARE) && !defined(WIN32) && !defined(__OS2__)
 #ifndef SUEXEC_BIN
 #define SUEXEC_BIN  HTTPD_ROOT "/bin/suexec"
 #endif
diff -ur httpd-2.2.20-o/include/scoreboard.h httpd-2.2.20/include/scoreboard.h
--- httpd-2.2.20-o/include/scoreboard.h	2007-12-09 03:29:08.000000000 +1030
+++ httpd-2.2.20/include/scoreboard.h	2011-09-01 17:12:00.000000000 +0930
@@ -184,6 +184,7 @@
                                      int child_num, int thread_num);
     
 int find_child_by_pid(apr_proc_t *pid);
+
 AP_DECLARE(int) ap_update_child_status(ap_sb_handle_t *sbh, int status, request_rec *r);
 AP_DECLARE(int) ap_update_child_status_from_indexes(int child_num, int thread_num,
                                                     int status, request_rec *r);
Only in httpd-2.2.20/modules: .deps
Only in httpd-2.2.20/modules/aaa: .deps
Only in httpd-2.2.20/modules/aaa: .libs
Only in httpd-2.2.20/modules/aaa: mod_auth_basic.la
Only in httpd-2.2.20/modules/aaa: mod_auth_basic.lo
Only in httpd-2.2.20/modules/aaa: mod_auth_basic.o
Only in httpd-2.2.20/modules/aaa: mod_auth_basic.slo
Only in httpd-2.2.20/modules/aaa: mod_auth_digest.la
Only in httpd-2.2.20/modules/aaa: mod_auth_digest.lo
Only in httpd-2.2.20/modules/aaa: mod_auth_digest.o
Only in httpd-2.2.20/modules/aaa: mod_auth_digest.slo
Only in httpd-2.2.20/modules/aaa: mod_authn_anon.la
Only in httpd-2.2.20/modules/aaa: mod_authn_anon.lo
Only in httpd-2.2.20/modules/aaa: mod_authn_anon.o
Only in httpd-2.2.20/modules/aaa: mod_authn_anon.slo
Only in httpd-2.2.20/modules/aaa: mod_authn_dbd.la
Only in httpd-2.2.20/modules/aaa: mod_authn_dbd.lo
Only in httpd-2.2.20/modules/aaa: mod_authn_dbd.o
Only in httpd-2.2.20/modules/aaa: mod_authn_dbd.slo
Only in httpd-2.2.20/modules/aaa: mod_authn_dbm.la
Only in httpd-2.2.20/modules/aaa: mod_authn_dbm.lo
Only in httpd-2.2.20/modules/aaa: mod_authn_dbm.o
Only in httpd-2.2.20/modules/aaa: mod_authn_dbm.slo
Only in httpd-2.2.20/modules/aaa: mod_authn_default.la
Only in httpd-2.2.20/modules/aaa: mod_authn_default.lo
Only in httpd-2.2.20/modules/aaa: mod_authn_default.o
Only in httpd-2.2.20/modules/aaa: mod_authn_default.slo
Only in httpd-2.2.20/modules/aaa: mod_authn_file.la
Only in httpd-2.2.20/modules/aaa: mod_authn_file.lo
Only in httpd-2.2.20/modules/aaa: mod_authn_file.o
Only in httpd-2.2.20/modules/aaa: mod_authn_file.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_dbm.la
Only in httpd-2.2.20/modules/aaa: mod_authz_dbm.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_dbm.o
Only in httpd-2.2.20/modules/aaa: mod_authz_dbm.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_default.la
Only in httpd-2.2.20/modules/aaa: mod_authz_default.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_default.o
Only in httpd-2.2.20/modules/aaa: mod_authz_default.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_groupfile.la
Only in httpd-2.2.20/modules/aaa: mod_authz_groupfile.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_groupfile.o
Only in httpd-2.2.20/modules/aaa: mod_authz_groupfile.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_host.la
Only in httpd-2.2.20/modules/aaa: mod_authz_host.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_host.o
Only in httpd-2.2.20/modules/aaa: mod_authz_host.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_owner.la
Only in httpd-2.2.20/modules/aaa: mod_authz_owner.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_owner.o
Only in httpd-2.2.20/modules/aaa: mod_authz_owner.slo
Only in httpd-2.2.20/modules/aaa: mod_authz_user.la
Only in httpd-2.2.20/modules/aaa: mod_authz_user.lo
Only in httpd-2.2.20/modules/aaa: mod_authz_user.o
Only in httpd-2.2.20/modules/aaa: mod_authz_user.slo
Only in httpd-2.2.20/modules/aaa: modules.mk
Only in httpd-2.2.20/modules/aaa: Makefile
Only in httpd-2.2.20/modules/arch/win32: .deps
Only in httpd-2.2.20/modules/arch/win32: modules.mk
Only in httpd-2.2.20/modules/arch/win32: Makefile
Only in httpd-2.2.20/modules/cache: .deps
Only in httpd-2.2.20/modules/cache: modules.mk
Only in httpd-2.2.20/modules/cache: Makefile
Only in httpd-2.2.20/modules/database: .deps
Only in httpd-2.2.20/modules/database: .libs
Only in httpd-2.2.20/modules/database: mod_dbd.la
Only in httpd-2.2.20/modules/database: mod_dbd.lo
Only in httpd-2.2.20/modules/database: mod_dbd.o
Only in httpd-2.2.20/modules/database: mod_dbd.slo
Only in httpd-2.2.20/modules/database: modules.mk
Only in httpd-2.2.20/modules/database: Makefile
Only in httpd-2.2.20/modules/dav/fs: .deps
Only in httpd-2.2.20/modules/dav/fs: .libs
Only in httpd-2.2.20/modules/dav/fs: dbm.lo
Only in httpd-2.2.20/modules/dav/fs: dbm.o
Only in httpd-2.2.20/modules/dav/fs: dbm.slo
Only in httpd-2.2.20/modules/dav/fs: lock.lo
Only in httpd-2.2.20/modules/dav/fs: lock.o
Only in httpd-2.2.20/modules/dav/fs: lock.slo
Only in httpd-2.2.20/modules/dav/fs: mod_dav_fs.la
Only in httpd-2.2.20/modules/dav/fs: mod_dav_fs.lo
Only in httpd-2.2.20/modules/dav/fs: mod_dav_fs.o
Only in httpd-2.2.20/modules/dav/fs: mod_dav_fs.slo
Only in httpd-2.2.20/modules/dav/fs: modules.mk
Only in httpd-2.2.20/modules/dav/fs: Makefile
Only in httpd-2.2.20/modules/dav/fs: repos.lo
Only in httpd-2.2.20/modules/dav/fs: repos.o
Only in httpd-2.2.20/modules/dav/fs: repos.slo
Only in httpd-2.2.20/modules/dav/lock: .deps
Only in httpd-2.2.20/modules/dav/lock: modules.mk
Only in httpd-2.2.20/modules/dav/lock: Makefile
Only in httpd-2.2.20/modules/dav/main: .deps
Only in httpd-2.2.20/modules/dav/main: .libs
Only in httpd-2.2.20/modules/dav/main: liveprop.lo
Only in httpd-2.2.20/modules/dav/main: liveprop.o
Only in httpd-2.2.20/modules/dav/main: liveprop.slo
Only in httpd-2.2.20/modules/dav/main: mod_dav.la
Only in httpd-2.2.20/modules/dav/main: mod_dav.lo
Only in httpd-2.2.20/modules/dav/main: mod_dav.o
Only in httpd-2.2.20/modules/dav/main: mod_dav.slo
Only in httpd-2.2.20/modules/dav/main: modules.mk
Only in httpd-2.2.20/modules/dav/main: Makefile
Only in httpd-2.2.20/modules/dav/main: props.lo
Only in httpd-2.2.20/modules/dav/main: props.o
Only in httpd-2.2.20/modules/dav/main: props.slo
Only in httpd-2.2.20/modules/dav/main: providers.lo
Only in httpd-2.2.20/modules/dav/main: providers.o
Only in httpd-2.2.20/modules/dav/main: providers.slo
Only in httpd-2.2.20/modules/dav/main: std_liveprop.lo
Only in httpd-2.2.20/modules/dav/main: std_liveprop.o
Only in httpd-2.2.20/modules/dav/main: std_liveprop.slo
Only in httpd-2.2.20/modules/dav/main: util_lock.lo
Only in httpd-2.2.20/modules/dav/main: util_lock.o
Only in httpd-2.2.20/modules/dav/main: util_lock.slo
Only in httpd-2.2.20/modules/dav/main: util.lo
Only in httpd-2.2.20/modules/dav/main: util.o
Only in httpd-2.2.20/modules/dav/main: util.slo
Only in httpd-2.2.20/modules/debug: .deps
Only in httpd-2.2.20/modules/debug: .libs
Only in httpd-2.2.20/modules/debug: mod_dumpio.la
Only in httpd-2.2.20/modules/debug: mod_dumpio.lo
Only in httpd-2.2.20/modules/debug: mod_dumpio.o
Only in httpd-2.2.20/modules/debug: mod_dumpio.slo
Only in httpd-2.2.20/modules/debug: modules.mk
Only in httpd-2.2.20/modules/debug: Makefile
Only in httpd-2.2.20/modules/echo: .deps
Only in httpd-2.2.20/modules/echo: .libs
Only in httpd-2.2.20/modules/echo: mod_echo.la
Only in httpd-2.2.20/modules/echo: mod_echo.lo
Only in httpd-2.2.20/modules/echo: mod_echo.o
Only in httpd-2.2.20/modules/echo: mod_echo.slo
Only in httpd-2.2.20/modules/echo: modules.mk
Only in httpd-2.2.20/modules/echo: Makefile
Only in httpd-2.2.20/modules/experimental: .deps
Only in httpd-2.2.20/modules/experimental: modules.mk
Only in httpd-2.2.20/modules/experimental: Makefile
Only in httpd-2.2.20/modules/filters: .deps
Only in httpd-2.2.20/modules/filters: .libs
Only in httpd-2.2.20/modules/filters: mod_charset_lite.la
Only in httpd-2.2.20/modules/filters: mod_charset_lite.lo
Only in httpd-2.2.20/modules/filters: mod_charset_lite.o
Only in httpd-2.2.20/modules/filters: mod_charset_lite.slo
Only in httpd-2.2.20/modules/filters: mod_deflate.la
Only in httpd-2.2.20/modules/filters: mod_deflate.lo
Only in httpd-2.2.20/modules/filters: mod_deflate.o
Only in httpd-2.2.20/modules/filters: mod_deflate.slo
diff -ur httpd-2.2.20-o/modules/filters/mod_ext_filter.c httpd-2.2.20/modules/filters/mod_ext_filter.c
--- httpd-2.2.20-o/modules/filters/mod_ext_filter.c	2009-01-08 12:09:02.000000000 +1030
+++ httpd-2.2.20/modules/filters/mod_ext_filter.c	2011-09-01 17:12:00.000000000 +0930
@@ -384,15 +384,15 @@
                                                 &core_module);
     apr_status_t rv;
 
-#ifdef RLIMIT_CPU
+#if defined(RLIMIT_CPU) && !defined(OS2)
     rv = apr_procattr_limit_set(procattr, APR_LIMIT_CPU, conf->limit_cpu);
     ap_assert(rv == APR_SUCCESS); /* otherwise, we're out of sync with APR */
 #endif
-#if defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined(RLIMIT_AS)
+#if (defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined(RLIMIT_AS)) && !defined(OS2)
     rv = apr_procattr_limit_set(procattr, APR_LIMIT_MEM, conf->limit_mem);
     ap_assert(rv == APR_SUCCESS); /* otherwise, we're out of sync with APR */
 #endif
-#ifdef RLIMIT_NPROC
+#if defined(RLIMIT_NPROC) && !defined(OS2)
     rv = apr_procattr_limit_set(procattr, APR_LIMIT_NPROC, conf->limit_nproc);
     ap_assert(rv == APR_SUCCESS); /* otherwise, we're out of sync with APR */
 #endif
Only in httpd-2.2.20/modules/filters: mod_ext_filter.la
Only in httpd-2.2.20/modules/filters: mod_ext_filter.lo
Only in httpd-2.2.20/modules/filters: mod_ext_filter.o
Only in httpd-2.2.20/modules/filters: mod_ext_filter.slo
Only in httpd-2.2.20/modules/filters: mod_filter.la
Only in httpd-2.2.20/modules/filters: mod_filter.lo
Only in httpd-2.2.20/modules/filters: mod_filter.o
Only in httpd-2.2.20/modules/filters: mod_filter.slo
Only in httpd-2.2.20/modules/filters: mod_include.la
Only in httpd-2.2.20/modules/filters: mod_include.lo
Only in httpd-2.2.20/modules/filters: mod_include.o
Only in httpd-2.2.20/modules/filters: mod_include.slo
Only in httpd-2.2.20/modules/filters: mod_reqtimeout.la
Only in httpd-2.2.20/modules/filters: mod_reqtimeout.lo
Only in httpd-2.2.20/modules/filters: mod_reqtimeout.o
Only in httpd-2.2.20/modules/filters: mod_reqtimeout.slo
Only in httpd-2.2.20/modules/filters: mod_substitute.la
Only in httpd-2.2.20/modules/filters: mod_substitute.lo
Only in httpd-2.2.20/modules/filters: mod_substitute.o
Only in httpd-2.2.20/modules/filters: mod_substitute.slo
Only in httpd-2.2.20/modules/filters: modules.mk
Only in httpd-2.2.20/modules/filters: Makefile
Only in httpd-2.2.20/modules/generators: .deps
Only in httpd-2.2.20/modules/generators: .libs
Only in httpd-2.2.20/modules/generators: mod_asis.la
Only in httpd-2.2.20/modules/generators: mod_asis.lo
Only in httpd-2.2.20/modules/generators: mod_asis.o
Only in httpd-2.2.20/modules/generators: mod_asis.slo
Only in httpd-2.2.20/modules/generators: mod_autoindex.la
Only in httpd-2.2.20/modules/generators: mod_autoindex.lo
Only in httpd-2.2.20/modules/generators: mod_autoindex.o
Only in httpd-2.2.20/modules/generators: mod_autoindex.slo
diff -ur httpd-2.2.20-o/modules/generators/mod_cgi.c httpd-2.2.20/modules/generators/mod_cgi.c
--- httpd-2.2.20-o/modules/generators/mod_cgi.c	2007-07-18 02:46:08.000000000 +0930
+++ httpd-2.2.20/modules/generators/mod_cgi.c	2011-09-01 17:12:00.000000000 +0930
@@ -27,6 +27,7 @@
  * they fail.
  */
 
+#define DEBUG_CGI 1
 #include "apr.h"
 #include "apr_strings.h"
 #include "apr_thread_proc.h"    /* for RLIMIT stuff */
@@ -384,8 +385,8 @@
     apr_proc_t *procnew;
     apr_status_t rc = APR_SUCCESS;
 
-#if defined(RLIMIT_CPU)  || defined(RLIMIT_NPROC) || \
-    defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined (RLIMIT_AS)
+#if (defined(RLIMIT_CPU)  || defined(RLIMIT_NPROC) || \
+    defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined (RLIMIT_AS)) && !defined(OS2)
 
     core_dir_config *conf = ap_get_module_config(r->per_dir_config,
                                                  &core_module);
@@ -401,6 +402,7 @@
     int i;
 #endif
 
+
     RAISE_SIGSTOP(CGI_CHILD);
 #ifdef DEBUG_CGI
     fprintf(dbg, "Attempting to exec %s as CGI child (argv0 = %s)\n",
@@ -426,15 +428,15 @@
         ((rc = apr_procattr_dir_set(procattr,
                         ap_make_dirstr_parent(r->pool,
                                               r->filename))) != APR_SUCCESS) ||
-#ifdef RLIMIT_CPU
+#if defined(RLIMIT_CPU) && !defined(OS2)
         ((rc = apr_procattr_limit_set(procattr, APR_LIMIT_CPU,
                                       conf->limit_cpu)) != APR_SUCCESS) ||
 #endif
-#if defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined(RLIMIT_AS)
+#if (defined(RLIMIT_DATA) || defined(RLIMIT_VMEM) || defined(RLIMIT_AS)) && !defined(OS2)
         ((rc = apr_procattr_limit_set(procattr, APR_LIMIT_MEM,
                                       conf->limit_mem)) != APR_SUCCESS) ||
 #endif
-#ifdef RLIMIT_NPROC
+#if defined(RLIMIT_NPROC) && !defined(OS2)
         ((rc = apr_procattr_limit_set(procattr, APR_LIMIT_NPROC,
                                       conf->limit_nproc)) != APR_SUCCESS) ||
 #endif
Only in httpd-2.2.20/modules/generators: mod_cgi.la
Only in httpd-2.2.20/modules/generators: mod_cgi.lo
Only in httpd-2.2.20/modules/generators: mod_cgi.o
Only in httpd-2.2.20/modules/generators: mod_cgi.slo
Only in httpd-2.2.20/modules/generators: mod_info.la
Only in httpd-2.2.20/modules/generators: mod_info.lo
Only in httpd-2.2.20/modules/generators: mod_info.o
Only in httpd-2.2.20/modules/generators: mod_info.slo
Only in httpd-2.2.20/modules/generators: mod_status.la
Only in httpd-2.2.20/modules/generators: mod_status.lo
Only in httpd-2.2.20/modules/generators: mod_status.o
Only in httpd-2.2.20/modules/generators: mod_status.slo
Only in httpd-2.2.20/modules/generators: modules.mk
Only in httpd-2.2.20/modules/generators: Makefile
Only in httpd-2.2.20/modules/http: .deps
Only in httpd-2.2.20/modules/http: .libs
Only in httpd-2.2.20/modules/http: byterange_filter.lo
Only in httpd-2.2.20/modules/http: byterange_filter.o
Only in httpd-2.2.20/modules/http: chunk_filter.lo
Only in httpd-2.2.20/modules/http: chunk_filter.o
Only in httpd-2.2.20/modules/http: http_core.lo
Only in httpd-2.2.20/modules/http: http_core.o
Only in httpd-2.2.20/modules/http: http_etag.lo
Only in httpd-2.2.20/modules/http: http_etag.o
Only in httpd-2.2.20/modules/http: http_filters.lo
Only in httpd-2.2.20/modules/http: http_filters.o
Only in httpd-2.2.20/modules/http: http_protocol.lo
Only in httpd-2.2.20/modules/http: http_protocol.o
Only in httpd-2.2.20/modules/http: http_request.lo
Only in httpd-2.2.20/modules/http: http_request.o
Only in httpd-2.2.20/modules/http: libmod_http.la
Only in httpd-2.2.20/modules/http: mod_mime.la
Only in httpd-2.2.20/modules/http: mod_mime.lo
Only in httpd-2.2.20/modules/http: mod_mime.o
Only in httpd-2.2.20/modules/http: mod_mime.slo
Only in httpd-2.2.20/modules/http: modules.mk
Only in httpd-2.2.20/modules/http: Makefile
Only in httpd-2.2.20/modules/ldap: .deps
Only in httpd-2.2.20/modules/ldap: modules.mk
Only in httpd-2.2.20/modules/ldap: Makefile
Only in httpd-2.2.20/modules/loggers: .deps
Only in httpd-2.2.20/modules/loggers: .libs
Only in httpd-2.2.20/modules/loggers: mod_log_config.la
Only in httpd-2.2.20/modules/loggers: mod_log_config.lo
Only in httpd-2.2.20/modules/loggers: mod_log_config.o
Only in httpd-2.2.20/modules/loggers: mod_log_config.slo
Only in httpd-2.2.20/modules/loggers: mod_log_forensic.la
Only in httpd-2.2.20/modules/loggers: mod_log_forensic.lo
Only in httpd-2.2.20/modules/loggers: mod_log_forensic.o
Only in httpd-2.2.20/modules/loggers: mod_log_forensic.slo
Only in httpd-2.2.20/modules/loggers: mod_logio.la
Only in httpd-2.2.20/modules/loggers: mod_logio.lo
Only in httpd-2.2.20/modules/loggers: mod_logio.o
Only in httpd-2.2.20/modules/loggers: mod_logio.slo
Only in httpd-2.2.20/modules/loggers: modules.mk
Only in httpd-2.2.20/modules/loggers: Makefile
Only in httpd-2.2.20/modules/mappers: .deps
Only in httpd-2.2.20/modules/mappers: .libs
Only in httpd-2.2.20/modules/mappers: libmod_so.la
Only in httpd-2.2.20/modules/mappers: mod_actions.la
Only in httpd-2.2.20/modules/mappers: mod_actions.lo
Only in httpd-2.2.20/modules/mappers: mod_actions.o
Only in httpd-2.2.20/modules/mappers: mod_actions.slo
Only in httpd-2.2.20/modules/mappers: mod_alias.la
Only in httpd-2.2.20/modules/mappers: mod_alias.lo
Only in httpd-2.2.20/modules/mappers: mod_alias.o
Only in httpd-2.2.20/modules/mappers: mod_alias.slo
Only in httpd-2.2.20/modules/mappers: mod_dir.la
Only in httpd-2.2.20/modules/mappers: mod_dir.lo
Only in httpd-2.2.20/modules/mappers: mod_dir.o
Only in httpd-2.2.20/modules/mappers: mod_dir.slo
Only in httpd-2.2.20/modules/mappers: mod_imagemap.la
Only in httpd-2.2.20/modules/mappers: mod_imagemap.lo
Only in httpd-2.2.20/modules/mappers: mod_imagemap.o
Only in httpd-2.2.20/modules/mappers: mod_imagemap.slo
Only in httpd-2.2.20/modules/mappers: mod_negotiation.la
Only in httpd-2.2.20/modules/mappers: mod_negotiation.lo
Only in httpd-2.2.20/modules/mappers: mod_negotiation.o
Only in httpd-2.2.20/modules/mappers: mod_negotiation.slo
Only in httpd-2.2.20/modules/mappers: mod_rewrite.la
Only in httpd-2.2.20/modules/mappers: mod_rewrite.lo
Only in httpd-2.2.20/modules/mappers: mod_rewrite.o
Only in httpd-2.2.20/modules/mappers: mod_rewrite.slo
Only in httpd-2.2.20/modules/mappers: mod_so.lo
Only in httpd-2.2.20/modules/mappers: mod_so.o
Only in httpd-2.2.20/modules/mappers: mod_speling.la
Only in httpd-2.2.20/modules/mappers: mod_speling.lo
Only in httpd-2.2.20/modules/mappers: mod_speling.o
Only in httpd-2.2.20/modules/mappers: mod_speling.slo
Only in httpd-2.2.20/modules/mappers: mod_userdir.la
Only in httpd-2.2.20/modules/mappers: mod_userdir.lo
Only in httpd-2.2.20/modules/mappers: mod_userdir.o
Only in httpd-2.2.20/modules/mappers: mod_userdir.slo
Only in httpd-2.2.20/modules/mappers: mod_vhost_alias.la
Only in httpd-2.2.20/modules/mappers: mod_vhost_alias.lo
Only in httpd-2.2.20/modules/mappers: mod_vhost_alias.o
Only in httpd-2.2.20/modules/mappers: mod_vhost_alias.slo
Only in httpd-2.2.20/modules/mappers: modules.mk
Only in httpd-2.2.20/modules/mappers: Makefile
Only in httpd-2.2.20/modules/metadata: .deps
Only in httpd-2.2.20/modules/metadata: .libs
Only in httpd-2.2.20/modules/metadata: mod_cern_meta.la
Only in httpd-2.2.20/modules/metadata: mod_cern_meta.lo
Only in httpd-2.2.20/modules/metadata: mod_cern_meta.o
Only in httpd-2.2.20/modules/metadata: mod_cern_meta.slo
Only in httpd-2.2.20/modules/metadata: mod_env.la
Only in httpd-2.2.20/modules/metadata: mod_env.lo
Only in httpd-2.2.20/modules/metadata: mod_env.o
Only in httpd-2.2.20/modules/metadata: mod_env.slo
Only in httpd-2.2.20/modules/metadata: mod_expires.la
Only in httpd-2.2.20/modules/metadata: mod_expires.lo
Only in httpd-2.2.20/modules/metadata: mod_expires.o
Only in httpd-2.2.20/modules/metadata: mod_expires.slo
Only in httpd-2.2.20/modules/metadata: mod_headers.la
Only in httpd-2.2.20/modules/metadata: mod_headers.lo
Only in httpd-2.2.20/modules/metadata: mod_headers.o
Only in httpd-2.2.20/modules/metadata: mod_headers.slo
Only in httpd-2.2.20/modules/metadata: mod_ident.la
Only in httpd-2.2.20/modules/metadata: mod_ident.lo
Only in httpd-2.2.20/modules/metadata: mod_ident.o
Only in httpd-2.2.20/modules/metadata: mod_ident.slo
Only in httpd-2.2.20/modules/metadata: mod_mime_magic.la
Only in httpd-2.2.20/modules/metadata: mod_mime_magic.lo
Only in httpd-2.2.20/modules/metadata: mod_mime_magic.o
Only in httpd-2.2.20/modules/metadata: mod_mime_magic.slo
Only in httpd-2.2.20/modules/metadata: mod_setenvif.la
Only in httpd-2.2.20/modules/metadata: mod_setenvif.lo
Only in httpd-2.2.20/modules/metadata: mod_setenvif.o
Only in httpd-2.2.20/modules/metadata: mod_setenvif.slo
Only in httpd-2.2.20/modules/metadata: mod_unique_id.la
Only in httpd-2.2.20/modules/metadata: mod_unique_id.lo
Only in httpd-2.2.20/modules/metadata: mod_unique_id.o
Only in httpd-2.2.20/modules/metadata: mod_unique_id.slo
Only in httpd-2.2.20/modules/metadata: mod_usertrack.la
Only in httpd-2.2.20/modules/metadata: mod_usertrack.lo
Only in httpd-2.2.20/modules/metadata: mod_usertrack.o
Only in httpd-2.2.20/modules/metadata: mod_usertrack.slo
Only in httpd-2.2.20/modules/metadata: mod_version.la
Only in httpd-2.2.20/modules/metadata: mod_version.lo
Only in httpd-2.2.20/modules/metadata: mod_version.o
Only in httpd-2.2.20/modules/metadata: mod_version.slo
Only in httpd-2.2.20/modules/metadata: modules.mk
Only in httpd-2.2.20/modules/metadata: Makefile
Only in httpd-2.2.20/modules: Makefile
Only in httpd-2.2.20/modules/proxy: .deps
Only in httpd-2.2.20/modules/proxy: .libs
Only in httpd-2.2.20/modules/proxy: ajp_header.lo
Only in httpd-2.2.20/modules/proxy: ajp_header.o
Only in httpd-2.2.20/modules/proxy: ajp_header.slo
Only in httpd-2.2.20/modules/proxy: ajp_link.lo
Only in httpd-2.2.20/modules/proxy: ajp_link.o
Only in httpd-2.2.20/modules/proxy: ajp_link.slo
Only in httpd-2.2.20/modules/proxy: ajp_msg.lo
Only in httpd-2.2.20/modules/proxy: ajp_msg.o
Only in httpd-2.2.20/modules/proxy: ajp_msg.slo
Only in httpd-2.2.20/modules/proxy: ajp_utils.lo
Only in httpd-2.2.20/modules/proxy: ajp_utils.o
Only in httpd-2.2.20/modules/proxy: ajp_utils.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_ajp.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_ajp.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_ajp.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_ajp.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_balancer.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_balancer.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_balancer.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_balancer.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_connect.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_connect.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_connect.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_connect.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_ftp.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_ftp.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_ftp.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_ftp.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_http.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_http.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_http.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_http.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy_scgi.la
Only in httpd-2.2.20/modules/proxy: mod_proxy_scgi.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy_scgi.o
Only in httpd-2.2.20/modules/proxy: mod_proxy_scgi.slo
Only in httpd-2.2.20/modules/proxy: mod_proxy.la
Only in httpd-2.2.20/modules/proxy: mod_proxy.lo
Only in httpd-2.2.20/modules/proxy: mod_proxy.o
Only in httpd-2.2.20/modules/proxy: mod_proxy.slo
Only in httpd-2.2.20/modules/proxy: modules.mk
Only in httpd-2.2.20/modules/proxy: Makefile
Only in httpd-2.2.20/modules/proxy: proxy_util.lo
Only in httpd-2.2.20/modules/proxy: proxy_util.o
Only in httpd-2.2.20/modules/proxy: proxy_util.slo
Only in httpd-2.2.20/modules/ssl: .deps
Only in httpd-2.2.20/modules/ssl: .libs
Only in httpd-2.2.20/modules/ssl: mod_ssl.la
Only in httpd-2.2.20/modules/ssl: mod_ssl.lo
Only in httpd-2.2.20/modules/ssl: mod_ssl.o
Only in httpd-2.2.20/modules/ssl: mod_ssl.slo
Only in httpd-2.2.20/modules/ssl: modules.mk
Only in httpd-2.2.20/modules/ssl: Makefile
Only in httpd-2.2.20/modules/ssl: ssl_engine_config.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_config.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_config.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_dh.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_dh.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_dh.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_init.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_init.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_init.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_io.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_io.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_io.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_kernel.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_kernel.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_kernel.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_log.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_log.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_log.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_mutex.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_mutex.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_mutex.slo
diff -ur httpd-2.2.20-o/modules/ssl/ssl_engine_pphrase.c httpd-2.2.20/modules/ssl/ssl_engine_pphrase.c
--- httpd-2.2.20-o/modules/ssl/ssl_engine_pphrase.c	2009-09-17 05:36:04.000000000 +0930
+++ httpd-2.2.20/modules/ssl/ssl_engine_pphrase.c	2011-09-01 17:12:00.000000000 +0930
@@ -374,7 +374,8 @@
                  * user (but not the dialog program) a few more
                  * chances...
                  */
-#ifndef WIN32
+/*#ifndef WIN32*/
+#if !defined(WIN32) && !defined(__OS2__) /* 2011-01-31 */
                 if ((sc->server->pphrase_dialog_type == SSL_PPTYPE_BUILTIN
                        || sc->server->pphrase_dialog_type == SSL_PPTYPE_PIPE)
 #else
@@ -392,7 +393,8 @@
                                     * 5 * APR_USEC_PER_SEC);
                     continue;
                 }
-#ifdef WIN32
+/*#ifdef WIN32*/
+#if defined(WIN32) || defined(__OS2__) /* 2011-01-31 */
                 if (sc->server->pphrase_dialog_type == SSL_PPTYPE_BUILTIN) {
                     ap_log_error(APLOG_MARK, APLOG_ERR, 0, s,
                                  "Init: SSLPassPhraseDialog builtin is not "
@@ -603,7 +605,9 @@
     if ((p = strchr(buf, '\n')) != NULL) {
         *p = '\0';
     }
-#ifdef WIN32
+/*#ifdef WIN32*/
+#if defined(WIN32) || defined(__OS2__) /* 2011-01-31 */
+
     /* XXX: apr_sometest */
     if ((p = strchr(buf, '\r')) != NULL) {
         *p = '\0';
@@ -691,7 +695,8 @@
                          "Init: Requesting pass phrase via piped dialog");
         }
         else { /* sc->server->pphrase_dialog_type == SSL_PPTYPE_BUILTIN */
-#ifdef WIN32
+/*#ifdef WIN32*/
+#if defined(WIN32) || defined(__OS2__) /* 2011-01-31 */
             PEMerr(PEM_F_DEF_CALLBACK,PEM_R_PROBLEMS_GETTING_PASSWORD);
             memset(buf, 0, (unsigned int)bufsize);
             return (-1);
Only in httpd-2.2.20/modules/ssl: ssl_engine_pphrase.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_pphrase.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_pphrase.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_rand.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_rand.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_rand.slo
Only in httpd-2.2.20/modules/ssl: ssl_engine_vars.lo
Only in httpd-2.2.20/modules/ssl: ssl_engine_vars.o
Only in httpd-2.2.20/modules/ssl: ssl_engine_vars.slo
Only in httpd-2.2.20/modules/ssl: ssl_expr_eval.lo
Only in httpd-2.2.20/modules/ssl: ssl_expr_eval.o
Only in httpd-2.2.20/modules/ssl: ssl_expr_eval.slo
Only in httpd-2.2.20/modules/ssl: ssl_expr_parse.lo
Only in httpd-2.2.20/modules/ssl: ssl_expr_parse.o
Only in httpd-2.2.20/modules/ssl: ssl_expr_parse.slo
Only in httpd-2.2.20/modules/ssl: ssl_expr_scan.lo
Only in httpd-2.2.20/modules/ssl: ssl_expr_scan.o
Only in httpd-2.2.20/modules/ssl: ssl_expr_scan.slo
Only in httpd-2.2.20/modules/ssl: ssl_expr.lo
Only in httpd-2.2.20/modules/ssl: ssl_expr.o
Only in httpd-2.2.20/modules/ssl: ssl_expr.slo
Only in httpd-2.2.20/modules/ssl: ssl_scache_dbm.lo
Only in httpd-2.2.20/modules/ssl: ssl_scache_dbm.o
Only in httpd-2.2.20/modules/ssl: ssl_scache_dbm.slo
Only in httpd-2.2.20/modules/ssl: ssl_scache_dc.lo
Only in httpd-2.2.20/modules/ssl: ssl_scache_dc.o
Only in httpd-2.2.20/modules/ssl: ssl_scache_dc.slo
Only in httpd-2.2.20/modules/ssl: ssl_scache_shmcb.lo
Only in httpd-2.2.20/modules/ssl: ssl_scache_shmcb.o
Only in httpd-2.2.20/modules/ssl: ssl_scache_shmcb.slo
Only in httpd-2.2.20/modules/ssl: ssl_scache.lo
Only in httpd-2.2.20/modules/ssl: ssl_scache.o
Only in httpd-2.2.20/modules/ssl: ssl_scache.slo
Only in httpd-2.2.20/modules/ssl: ssl_util_ssl.lo
Only in httpd-2.2.20/modules/ssl: ssl_util_ssl.o
Only in httpd-2.2.20/modules/ssl: ssl_util_ssl.slo
Only in httpd-2.2.20/modules/ssl: ssl_util.lo
Only in httpd-2.2.20/modules/ssl: ssl_util.o
Only in httpd-2.2.20/modules/ssl: ssl_util.slo
Only in httpd-2.2.20/modules/test: .deps
Only in httpd-2.2.20/modules/test: modules.mk
Only in httpd-2.2.20/modules/test: Makefile
Only in httpd-2.2.20: modules.c
Only in httpd-2.2.20: modules.lo
Only in httpd-2.2.20: modules.o
Only in httpd-2.2.20: Makefile
Only in httpd-2.2.20/os: .deps
Only in httpd-2.2.20/os: Makefile
Only in httpd-2.2.20/os/os2: .deps
Only in httpd-2.2.20/os/os2: .libs
diff -ur httpd-2.2.20-o/os/os2/core_header.def httpd-2.2.20/os/os2/core_header.def
--- httpd-2.2.20-o/os/os2/core_header.def	2004-11-22 05:20:36.000000000 +1030
+++ httpd-2.2.20/os/os2/core_header.def	2011-09-01 17:12:00.000000000 +0930
@@ -3,17 +3,17 @@
 DATA NONSHARED
 
 EXPORTS
-  "main"
+  "_main"
 
 ; One for mod_dav from socket library
-  "_swaps"
+;  "__swaps"
 
 ; And some more for mod_unique_id
-  "gethostname"
-  "gethostbyname"
-  "_swapl"
-  "h_errno"
-  "inet_ntoa"
+;  "_gethostname"
+;  "_gethostbyname"
+  "__swapl"
+;  "_h_errno"
+;  "_inet_ntoa"
 
 ; mod_proxy needs this one
-  "inet_addr"
+;  "_inet_addr"
diff -ur httpd-2.2.20-o/os/os2/core.mk httpd-2.2.20/os/os2/core.mk
--- httpd-2.2.20-o/os/os2/core.mk	2004-11-22 05:20:36.000000000 +1030
+++ httpd-2.2.20/os/os2/core.mk	2011-09-01 17:12:00.000000000 +0930
@@ -1,7 +1,8 @@
 # Some rules for making a shared core dll on OS/2
 
 os2core: httpd.dll $(CORE_IMPLIB)
-	$(LIBTOOL) --mode=link gcc -Zstack 512 $(LDFLAGS) $(EXTRA_LDFLAGS) -o httpd $(CORE_IMPLIB)
+	$(LIBTOOL) --mode=link gcc -Zstack 2048 $(LDFLAGS) $(EXTRA_LDFLAGS) -o httpd $(CORE_IMPLIB) -lssl -lcrypto -lz
 
 httpd.dll: $(PROGRAM_DEPENDENCIES) $(CORE_IMPLIB)
-	$(LINK) -Zdll $(EXTRA_LDFLAGS) -s -o $@ server/exports.lo modules.lo $(PROGRAM_DEPENDENCIES) $(AP_LIBS) server/ApacheCoreOS2.def
+	$(LINK) -Zdll -Zomf $(EXTRA_LDFLAGS) -o $@ buildmark.o server/exports.lo modules.lo $(PROGRAM_DEPENDENCIES) $(AP_LIBS) server/ApacheCoreOS2.def 
+	cp httpd.map httpddll.map
\ No newline at end of file
Only in httpd-2.2.20/os/os2: libos.la
Only in httpd-2.2.20/os/os2: Makefile
diff -ur httpd-2.2.20-o/os/os2/util_os2.c httpd-2.2.20/os/os2/util_os2.c
--- httpd-2.2.20-o/os/os2/util_os2.c	2006-07-12 13:08:44.000000000 +0930
+++ httpd-2.2.20/os/os2/util_os2.c	2011-09-01 17:12:00.000000000 +0930
@@ -28,6 +28,7 @@
 #include "apr_strings.h"
 
 
+
 AP_DECLARE(apr_status_t) ap_os_create_privileged_process(
     const request_rec *r,
     apr_proc_t *newproc, const char *progname,
Only in httpd-2.2.20/os/os2: util_os2.lo
Only in httpd-2.2.20/os/os2: util_os2.o
Only in httpd-2.2.20: patch.log
Only in httpd-2.2.20/server: .deps
Only in httpd-2.2.20/server: .libs
Only in httpd-2.2.20/server: ApacheCoreOS2.def
Only in httpd-2.2.20/server: ApacheCoreOS2.la
Only in httpd-2.2.20/server: buildmark.lo
Only in httpd-2.2.20/server: buildmark.o
diff -ur httpd-2.2.20-o/server/config.c httpd-2.2.20/server/config.c
--- httpd-2.2.20-o/server/config.c	2010-10-08 03:26:54.000000000 +1030
+++ httpd-2.2.20/server/config.c	2011-09-01 17:12:00.000000000 +0930
@@ -105,6 +105,7 @@
                                     const char * const *aszSucc,
                                     int nOrder)
 {
+printf("entered ap_hook_post_config\n");
     ap_LINK_post_config_t *pHook;
 
     if (!_hooks.link_post_config) {
@@ -122,6 +123,7 @@
 
     if (apr_hook_debug_enabled)
         apr_hook_debug_show("post_config", aszPre, aszSucc);
+printf("leaving ap_hook_post_config\n");
 }
 
 AP_DECLARE(apr_array_header_t *) ap_hook_get_post_config(void) {
Only in httpd-2.2.20/server: config.lo
Only in httpd-2.2.20/server: config.o
Only in httpd-2.2.20/server: connection.lo
Only in httpd-2.2.20/server: connection.o
Only in httpd-2.2.20/server: core_filters.lo
Only in httpd-2.2.20/server: core_filters.o
diff -ur httpd-2.2.20-o/server/core.c httpd-2.2.20/server/core.c
--- httpd-2.2.20-o/server/core.c	2011-03-18 05:10:40.000000000 +1030
+++ httpd-2.2.20/server/core.c	2011-09-01 17:12:00.000000000 +0930
@@ -2989,7 +2989,7 @@
     return (size_t)conf->limit_xml_body;
 }
 
-#if !defined (RLIMIT_CPU) || !(defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined(RLIMIT_AS)) || !defined (RLIMIT_NPROC)
+#if !defined (RLIMIT_CPU) || !(defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined(RLIMIT_AS)) || !defined (RLIMIT_NPROC) || defined (OS2)
 static const char *no_set_limit(cmd_parms *cmd, void *conf_,
                                 const char *arg, const char *arg2)
 {
@@ -3000,7 +3000,7 @@
 }
 #endif
 
-#ifdef RLIMIT_CPU
+#if defined(RLIMIT_CPU) && !defined(OS2)
 static const char *set_limit_cpu(cmd_parms *cmd, void *conf_,
                                  const char *arg, const char *arg2)
 {
@@ -3011,7 +3011,7 @@
 }
 #endif
 
-#if defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined(RLIMIT_AS)
+#if (defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined(RLIMIT_AS)) && !defined(OS2)
 static const char *set_limit_mem(cmd_parms *cmd, void *conf_,
                                  const char *arg, const char * arg2)
 {
@@ -3029,7 +3029,7 @@
 }
 #endif
 
-#ifdef RLIMIT_NPROC
+#if defined(RLIMIT_NPROC) && !defined(OS2)
 static const char *set_limit_nproc(cmd_parms *cmd, void *conf_,
                                    const char *arg, const char * arg2)
 {
@@ -3408,7 +3408,7 @@
               "body"),
 
 /* System Resource Controls */
-#ifdef RLIMIT_CPU
+#if defined(RLIMIT_CPU) && !defined(OS2)
 AP_INIT_TAKE12("RLimitCPU", set_limit_cpu,
   (void*)APR_OFFSETOF(core_dir_config, limit_cpu),
   OR_ALL, "Soft/hard limits for max CPU usage in seconds"),
@@ -3416,7 +3416,7 @@
 AP_INIT_TAKE12("RLimitCPU", no_set_limit, NULL,
   OR_ALL, "Soft/hard limits for max CPU usage in seconds"),
 #endif
-#if defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined (RLIMIT_AS)
+#if (defined (RLIMIT_DATA) || defined (RLIMIT_VMEM) || defined (RLIMIT_AS)) && !defined(OS2)
 AP_INIT_TAKE12("RLimitMEM", set_limit_mem,
   (void*)APR_OFFSETOF(core_dir_config, limit_mem),
   OR_ALL, "Soft/hard limits for max memory usage per process"),
@@ -3424,7 +3424,7 @@
 AP_INIT_TAKE12("RLimitMEM", no_set_limit, NULL,
   OR_ALL, "Soft/hard limits for max memory usage per process"),
 #endif
-#ifdef RLIMIT_NPROC
+#if defined(RLIMIT_NPROC) && !defined(OS2)
 AP_INIT_TAKE12("RLimitNPROC", set_limit_nproc,
   (void*)APR_OFFSETOF(core_dir_config, limit_nproc),
   OR_ALL, "soft/hard limits for max number of processes per uid"),
Only in httpd-2.2.20/server: core.lo
Only in httpd-2.2.20/server: core.o
Only in httpd-2.2.20/server: eoc_bucket.lo
Only in httpd-2.2.20/server: eoc_bucket.o
Only in httpd-2.2.20/server: error_bucket.lo
Only in httpd-2.2.20/server: error_bucket.o
Only in httpd-2.2.20/server: export_files
Only in httpd-2.2.20/server: export_vars.h
Only in httpd-2.2.20/server: exports.c
Only in httpd-2.2.20/server: exports.lo
Only in httpd-2.2.20/server: exports.o
Only in httpd-2.2.20/server: gen_test_char
Only in httpd-2.2.20/server: gen_test_char.exe
Only in httpd-2.2.20/server: gen_test_char.lo
Only in httpd-2.2.20/server: gen_test_char.map
Only in httpd-2.2.20/server: gen_test_char.o
Only in httpd-2.2.20/server: httpd.exp
Only in httpd-2.2.20/server: libmain.la
Only in httpd-2.2.20/server: listen.lo
Only in httpd-2.2.20/server: listen.o
Only in httpd-2.2.20/server: log.lo
Only in httpd-2.2.20/server: log.o
Only in httpd-2.2.20/server: main.lo
Only in httpd-2.2.20/server: main.o
Only in httpd-2.2.20/server/mpm: .deps
Only in httpd-2.2.20/server/mpm/mpmt_os2: .deps
Only in httpd-2.2.20/server/mpm/mpmt_os2: .libs
Only in httpd-2.2.20/server/mpm/mpmt_os2: libmpmt_os2.la
diff -ur httpd-2.2.20-o/server/mpm/mpmt_os2/mpm.h httpd-2.2.20/server/mpm/mpmt_os2/mpm.h
--- httpd-2.2.20-o/server/mpm/mpmt_os2/mpm.h	2006-07-12 13:08:44.000000000 +0930
+++ httpd-2.2.20/server/mpm/mpmt_os2/mpm.h	2011-09-01 17:12:00.000000000 +0930
@@ -38,6 +38,9 @@
 #define AP_MPM_WANT_SET_MAX_REQUESTS
 #define AP_MPM_DISABLE_NAGLE_ACCEPTED_SOCK
 #define AP_MPM_WANT_SET_MAX_MEM_FREE
+#define AP_MPM_WANT_RECLAIM_CHILD_PROCESSES
+#define MPM_CHILD_PID(i) (ap_scoreboard_image->parent[i].pid)
+#define MPM_NOTE_CHILD_KILLED(i) (MPM_CHILD_PID(i) = 0)
 
 #endif /* APACHE_MPM_MPMT_OS2_H */
 /** @} */
diff -ur httpd-2.2.20-o/server/mpm/mpmt_os2/mpmt_os2_child.c httpd-2.2.20/server/mpm/mpmt_os2/mpmt_os2_child.c
--- httpd-2.2.20-o/server/mpm/mpmt_os2/mpmt_os2_child.c	2006-07-12 13:08:44.000000000 +0930
+++ httpd-2.2.20/server/mpm/mpmt_os2/mpmt_os2_child.c	2011-09-01 17:12:00.000000000 +0930
@@ -63,7 +63,9 @@
 static apr_pool_t *pchild = NULL;
 static int child_slot;
 static int shutdown_pending = 0;
+#ifndef __KLIBC__
 extern int ap_my_generation;
+#endif
 static int volatile is_graceful = 1;
 HEV shutdown_event; /* signaled when this child is shutting down */
 
@@ -71,6 +73,7 @@
 extern int ap_min_spare_threads;
 extern int ap_max_spare_threads;
 extern HMTX ap_mpm_accept_mutex;
+extern int ap_thread_stack_size;
 
 static void worker_main(void *vpArg);
 static void clean_child_exit(int code);
@@ -210,7 +213,7 @@
             rc = DosRequestMutexSem(ap_mpm_accept_mutex, SEM_INDEFINITE_WAIT);
 
             if (shutdown_pending) {
-                DosReleaseMutexSem(ap_mpm_accept_mutex);
+                rc = DosReleaseMutexSem(ap_mpm_accept_mutex);
                 break;
             }
 
@@ -218,7 +221,7 @@
 
             if (rv == APR_SUCCESS) {
                 rv = apr_pollset_poll(pollset, -1, &num_poll_results, &poll_results);
-                DosReleaseMutexSem(ap_mpm_accept_mutex);
+                rc = DosReleaseMutexSem(ap_mpm_accept_mutex);
             }
 
             if (rv == APR_SUCCESS) {
@@ -228,10 +231,12 @@
 
                 lr = poll_results[last_poll_idx++].client_data;
                 rv = apr_socket_accept(&worker_args->conn_sd, lr->sd, pconn);
+
                 last_poll_idx++;
             }
         }
 
+#if 0
         if (rv != APR_SUCCESS) {
             if (!APR_STATUS_IS_EINTR(rv)) {
                 ap_log_error(APLOG_MARK, APLOG_ERR, rv, ap_server_conf,
@@ -239,6 +244,20 @@
                 clean_child_exit(APEXIT_CHILDFATAL);
             }
         } else {
+#else
+       if (rv != APR_SUCCESS) {
+            if (APR_STATUS_IS_EAGAIN(rv)) {
+                ap_log_error(APLOG_MARK, APLOG_WARNING, rv, ap_server_conf,
+                             "apr_socket_accept");
+                apr_sleep(500 * 1000L);
+            }
+            else if (!APR_STATUS_IS_EINTR(rv)) {
+                ap_log_error(APLOG_MARK, APLOG_ERR, rv, ap_server_conf,
+                             "apr_socket_accept");
+                clean_child_exit(APEXIT_CHILDFATAL);
+            }
+        } else {
+#endif
             DosWriteQueue(workq, WORKTYPE_CONN, sizeof(worker_args_t), worker_args, 0);
             requests_this_child++;
         }
@@ -296,7 +315,7 @@
         if (ap_scoreboard_image->servers[child_slot][thread_slot].status == SERVER_DEAD) {
             ap_scoreboard_image->servers[child_slot][thread_slot].status = SERVER_STARTING;
             ap_scoreboard_image->servers[child_slot][thread_slot].tid =
-                _beginthread(worker_main, NULL, 128*1024, (void *)thread_slot);
+                _beginthread(worker_main, NULL, ap_thread_stack_size, (void *)thread_slot);
             break;
         }
     }
@@ -314,6 +333,16 @@
     if (pReportRec->fHandlerFlags & EH_NESTED_CALL) {
         return XCPT_CONTINUE_SEARCH;
     }
+/* /PS */
+    if (pReportRec->ExceptionNum == XCPT_ACCESS_VIOLATION)
+        ap_log_error(APLOG_MARK, APLOG_ERR, 0, ap_server_conf,
+                     "caught exception (XCPT_ACCESS_VIOLATION) in worker thread, initiating child shutdown pid=%d", getpid());
+
+    if (pReportRec->ExceptionNum == XCPT_INTEGER_DIVIDE_BY_ZERO)
+        ap_log_error(APLOG_MARK, APLOG_ERR, 0, ap_server_conf,
+                     "caught exception (XCPT_INTEGER_DIVIDE_BY_ZERO) in worker thread, initiating child shutdown pid=%d", getpid());
+
+/* End PS */
 
     if (pReportRec->ExceptionNum == XCPT_ACCESS_VIOLATION ||
         pReportRec->ExceptionNum == XCPT_INTEGER_DIVIDE_BY_ZERO) {
@@ -361,7 +390,6 @@
 
     rc = DosOpenQueue(&owner, &workq,
                       apr_psprintf(pchild, "/queues/httpd/work.%d", getpid()));
-
     if (rc) {
         ap_log_error(APLOG_MARK, APLOG_ERR, APR_FROM_OS_ERROR(rc), ap_server_conf,
                      "unable to open work queue, exiting");
Only in httpd-2.2.20/server/mpm/mpmt_os2: mpmt_os2_child.lo
Only in httpd-2.2.20/server/mpm/mpmt_os2: mpmt_os2_child.o
diff -ur httpd-2.2.20-o/server/mpm/mpmt_os2/mpmt_os2.c httpd-2.2.20/server/mpm/mpmt_os2/mpmt_os2.c
--- httpd-2.2.20-o/server/mpm/mpmt_os2/mpmt_os2.c	2006-09-15 22:49:24.000000000 +0930
+++ httpd-2.2.20/server/mpm/mpmt_os2/mpmt_os2.c	2011-09-01 17:12:00.000000000 +0930
@@ -40,7 +40,6 @@
 #define INCL_NOPMAPI
 #define INCL_DOS
 #define INCL_DOSERRORS
-
 #include "ap_config.h"
 #include "httpd.h"
 #include "mpm_default.h"
@@ -71,15 +70,16 @@
 
 server_rec *ap_server_conf;
 static apr_pool_t *pconf = NULL;  /* Pool for config stuff */
-static const char *ap_pid_fname=NULL;
+/* const char *ap_pid_fname=NULL;*/ /* defined in mpm_common.h */
 
 /* Config globals */
 static int one_process = 0;
 static int ap_daemons_to_start = 0;
 static int ap_thread_limit = 0;
-static int ap_max_requests_per_child = 0;
+/*static int ap_max_requests_per_child = 0;*/ /* defined in mpm_common.h */
 int ap_min_spare_threads = 0;
 int ap_max_spare_threads = 0;
+int ap_thread_stack_size = 128 * 1024;
 
 /* Keep track of a few interesting statistics */
 int ap_max_daemons_limit = -1;
@@ -119,8 +119,18 @@
     pconf = _pconf;
     ap_server_conf = s;
     restart_pending = 0;
+    ULONG    CurMaxFH      = 0;          /* Current count of handles         */
+    LONG     ReqCount      = 0;          /* Number to adjust file handles    */
+
+//    DosSetMaxFH(ap_thread_limit * 2);
+
+    rc = DosSetRelMaxFH(&ReqCount,     /* Using 0 here will return the       */
+                      &CurMaxFH);    /* current number of file handles     */
+
+    ReqCount = ap_thread_limit * 2;
+
+    rc = DosSetRelMaxFH(&ReqCount,&CurMaxFH);     /* Change handle maximum */
 
-    DosSetMaxFH(ap_thread_limit * 2);
     listener_shm_name = apr_psprintf(pconf, "/sharemem/httpd/parent_info.%d", getppid());
     rc = DosGetNamedSharedMem((PPVOID)&parent_info, listener_shm_name, PAG_READ);
     is_parent_process = rc != 0;
@@ -154,7 +164,6 @@
 
         /* Do the work */
         ap_mpm_child_main(pconf);
-
         /* Outta here */
         return 1;
     }
@@ -200,6 +209,7 @@
  */
 static char master_main()
 {
+
     server_rec *s = ap_server_conf;
     ap_listen_rec *lr;
     parent_info_t *parent_info;
@@ -224,7 +234,7 @@
     listener_shm_name = apr_psprintf(pconf, "/sharemem/httpd/parent_info.%d", getpid());
     rc = DosAllocSharedMem((PPVOID)&parent_info, listener_shm_name,
                            sizeof(parent_info_t) + num_listeners * sizeof(listen_socket_t),
-                           PAG_READ|PAG_WRITE|PAG_COMMIT);
+                           PAG_READ | PAG_WRITE | PAG_COMMIT);
 
     if (rc) {
         ap_log_error(APLOG_MARK, APLOG_ALERT, APR_FROM_OS_ERROR(rc), s,
@@ -330,7 +340,10 @@
 
     /* Signal children to shut down, either gracefully or immediately */
     for (slot=0; slot<HARD_SERVER_LIMIT; slot++) {
+
+    if (ap_scoreboard_image->parent[slot].pid!=0){
       kill(ap_scoreboard_image->parent[slot].pid, is_graceful ? SIGHUP : SIGTERM);
+      }
     }
 
     DosFreeMem(parent_info);
@@ -546,10 +559,24 @@
     return NULL;
 }
 
+static const char *set_thread_stacksize(cmd_parms *cmd, void *dummy, 
+                                        const char *arg)
+{
+    const char *err = ap_check_cmd_context(cmd, GLOBAL_ONLY);
+    if (err != NULL) {
+        return err;
+    }
+    
+    ap_thread_stack_size = atoi(arg);
+    return NULL;
+}
+
 
 
 static const command_rec mpmt_os2_cmds[] = {
 LISTEN_COMMANDS,
+AP_INIT_TAKE1("ThreadStackSize", set_thread_stacksize, NULL, RSRC_CONF,
+              "Stack size each created thread will use."),
 AP_INIT_TAKE1( "StartServers", set_daemons_to_start, NULL, RSRC_CONF,
   "Number of child processes launched at server startup" ),
 AP_INIT_TAKE1("MinSpareThreads", set_min_spare_threads, NULL, RSRC_CONF,
Only in httpd-2.2.20/server/mpm/mpmt_os2: mpmt_os2.lo
Only in httpd-2.2.20/server/mpm/mpmt_os2: mpmt_os2.o
Only in httpd-2.2.20/server/mpm/mpmt_os2: Makefile
Only in httpd-2.2.20/server/mpm: Makefile
diff -ur httpd-2.2.20-o/server/mpm_common.c httpd-2.2.20/server/mpm_common.c
--- httpd-2.2.20-o/server/mpm_common.c	2011-04-14 23:13:04.000000000 +0930
+++ httpd-2.2.20/server/mpm_common.c	2011-09-01 17:12:00.000000000 +0930
@@ -149,7 +149,9 @@
                      " still did not exit, "
                      "sending a SIGTERM",
                      pid);
+
         kill(pid, SIGTERM);
+
         break;
 
     case SEND_SIGKILL:
@@ -160,7 +162,9 @@
                      "sending a SIGKILL",
                      pid);
 #ifndef BEOS
+
         kill(pid, SIGKILL);
+
 #else
         /* sending a SIGKILL kills the entire team on BeOS, and as
          * httpd thread is part of that team it removes any chance
@@ -952,7 +956,9 @@
 
 static int send_signal(pid_t pid, int sig)
 {
+
     if (kill(pid, sig) < 0) {
+
         ap_log_error(APLOG_MARK, APLOG_STARTUP, errno, NULL,
                      "sending signal to server");
         return 1;
@@ -1228,7 +1234,9 @@
          * system since this function is no longer the signal handler   GLA
          */
     }
+
     kill(getpid(), sig);
+
     /* At this point we've got sig blocked, because we're still inside
      * the signal handler.  When we leave the signal handler it will
      * be unblocked, and we'll take the signal... and coredump or whatever
Only in httpd-2.2.20/server: mpm_common.lo
Only in httpd-2.2.20/server: mpm_common.o
Only in httpd-2.2.20/server: Makefile
diff -ur httpd-2.2.20-o/server/Makefile.in httpd-2.2.20/server/Makefile.in
--- httpd-2.2.20-o/server/Makefile.in	2011-04-15 02:07:58.000000000 +0930
+++ httpd-2.2.20/server/Makefile.in	2011-09-01 17:12:00.000000000 +0930
@@ -12,7 +12,7 @@
 	util_script.c util_md5.c util_cfgtree.c util_ebcdic.c util_time.c \
 	connection.c listen.c \
 	mpm_common.c util_charset.c util_debug.c util_xml.c \
-	util_filter.c util_pcre.c exports.c \
+	util_filter.c buildmark.c util_pcre.c exports.c \
 	scoreboard.c error_bucket.c protocol.c core.c request.c provider.c \
 	eoc_bucket.c core_filters.c
 
@@ -73,8 +73,8 @@
 # Rule to make def file for OS/2 core dll
 ApacheCoreOS2.def: exports.c export_vars.h $(top_srcdir)/os/$(OS_DIR)/core_header.def
 	cat $(top_srcdir)/os/$(OS_DIR)/core_header.def > $@
-	$(CPP) $< $(ALL_CPPFLAGS) $(ALL_INCLUDES) | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/  "\1"/' >> $@
-	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | grep "^[a-z]" | sed -e 's/^\(.*\)$$/  "\1"/' >> $@
+	$(CPP) $< $(ALL_CPPFLAGS) $(ALL_INCLUDES) | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/  "_\1"/' >> $@
+	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | grep "^[a-z]" | sed -e 's/^\(.*\)$$/  "_\1"/' >> $@
 
 # Rule to make exp file for AIX DSOs
 httpd.exp: exports.c export_vars.h
Only in httpd-2.2.20/server: protocol.lo
Only in httpd-2.2.20/server: protocol.o
Only in httpd-2.2.20/server: provider.lo
Only in httpd-2.2.20/server: provider.o
Only in httpd-2.2.20/server: request.lo
Only in httpd-2.2.20/server: request.o
Only in httpd-2.2.20/server: scoreboard.lo
Only in httpd-2.2.20/server: scoreboard.o
Only in httpd-2.2.20/server: test_char.h
Only in httpd-2.2.20/server: util_cfgtree.lo
Only in httpd-2.2.20/server: util_cfgtree.o
Only in httpd-2.2.20/server: util_charset.lo
Only in httpd-2.2.20/server: util_charset.o
Only in httpd-2.2.20/server: util_debug.lo
Only in httpd-2.2.20/server: util_debug.o
Only in httpd-2.2.20/server: util_ebcdic.lo
Only in httpd-2.2.20/server: util_ebcdic.o
Only in httpd-2.2.20/server: util_filter.lo
Only in httpd-2.2.20/server: util_filter.o
Only in httpd-2.2.20/server: util_md5.lo
Only in httpd-2.2.20/server: util_md5.o
Only in httpd-2.2.20/server: util_pcre.lo
Only in httpd-2.2.20/server: util_pcre.o
Only in httpd-2.2.20/server: util_script.lo
Only in httpd-2.2.20/server: util_script.o
Only in httpd-2.2.20/server: util_time.lo
Only in httpd-2.2.20/server: util_time.o
Only in httpd-2.2.20/server: util_xml.lo
Only in httpd-2.2.20/server: util_xml.o
Only in httpd-2.2.20/server: util.lo
Only in httpd-2.2.20/server: util.o
Only in httpd-2.2.20/server: vhost.lo
Only in httpd-2.2.20/server: vhost.o
Only in httpd-2.2.20/srclib: .deps
Only in httpd-2.2.20/srclib/apr/build: aplibtool.exe
Only in httpd-2.2.20/srclib: Makefile
Only in httpd-2.2.20/srclib/pcre: .deps
Only in httpd-2.2.20/srclib/pcre: .libs
Only in httpd-2.2.20/srclib/pcre: chartables.c
Only in httpd-2.2.20/srclib/pcre: config.h
Only in httpd-2.2.20/srclib/pcre: config.log
Only in httpd-2.2.20/srclib/pcre: config.status
Only in httpd-2.2.20/srclib/pcre: configure.lineno
Only in httpd-2.2.20/srclib/pcre: dftables
Only in httpd-2.2.20/srclib/pcre: dftables.exe
Only in httpd-2.2.20/srclib/pcre: dftables.lo
Only in httpd-2.2.20/srclib/pcre: dftables.map
Only in httpd-2.2.20/srclib/pcre: dftables.o
Only in httpd-2.2.20/srclib/pcre: get.lo
Only in httpd-2.2.20/srclib/pcre: get.o
Only in httpd-2.2.20/srclib/pcre: libpcre.la
Only in httpd-2.2.20/srclib/pcre: maketables.lo
Only in httpd-2.2.20/srclib/pcre: maketables.o
Only in httpd-2.2.20/srclib/pcre: Makefile
Only in httpd-2.2.20/srclib/pcre: pcre-config
Only in httpd-2.2.20/srclib/pcre: pcre.h
Only in httpd-2.2.20/srclib/pcre: pcre.lo
Only in httpd-2.2.20/srclib/pcre: pcre.o
Only in httpd-2.2.20/srclib/pcre: study.lo
Only in httpd-2.2.20/srclib/pcre: study.o
Only in httpd-2.2.20/support: .deps
Only in httpd-2.2.20/support: ab
Only in httpd-2.2.20/support: ab.exe
Only in httpd-2.2.20/support: ab.lo
Only in httpd-2.2.20/support: ab.map
Only in httpd-2.2.20/support: ab.o
Only in httpd-2.2.20/support: apachectl
Only in httpd-2.2.20/support: apxs
diff -ur httpd-2.2.20-o/support/apxs.in httpd-2.2.20/support/apxs.in
--- httpd-2.2.20-o/support/apxs.in	2010-05-11 05:32:56.000000000 +0930
+++ httpd-2.2.20/support/apxs.in	2011-09-01 17:12:00.000000000 +0930
@@ -198,18 +198,18 @@
     ($httpd = $0) =~ s:support/apxs$::;
 }
 
-unless (-x "$httpd") {
-	error("$httpd not found or not executable");
-	exit 1;
-}
-
-unless (grep /mod_so/, `. $envvars && $httpd -l`) {
-    error("Sorry, no shared object support for Apache");
-    error("available under your platform. Make sure");
-    error("the Apache module mod_so is compiled into");
-    error("your server binary `$httpd'.");
-    exit 1;
-}
+#unless (-x "$httpd") {
+#	error("$httpd not found or not executable");
+#	exit 1;
+#}
+
+#unless (grep /mod_so/, `. $envvars && $httpd -l`) {
+#    error("Sorry, no shared object support for Apache");
+#    error("available under your platform. Make sure");
+#    error("the Apache module mod_so is compiled into");
+#    error("your server binary `$httpd'.");
+#    exit 1;
+#}
 
 sub get_config_vars{
     my ($file, $rh_config) = @_;
@@ -325,17 +325,17 @@
 
 my $apr_config = get_vars("APR_CONFIG");
 
-if (! -x "$apr_config") {
-    error("$apr_config not found!");
-    exit(1);
-}
+#if (! -x "$apr_config") {
+#    error("$apr_config not found!");
+#    exit(1);
+#}
 
 my $apu_config = get_vars("APU_CONFIG");
 
-if (! -x "$apu_config") {
-    error("$apu_config not found!");
-    exit(1);
-}
+#if (! -x "$apu_config") {
+#    error("$apu_config not found!");
+#    exit(1);
+#}
 
 my $libtool = `$apr_config --apr-libtool`;
 chomp($libtool);
Only in httpd-2.2.20/support: checkgid
Only in httpd-2.2.20/support: checkgid.exe
Only in httpd-2.2.20/support: checkgid.lo
Only in httpd-2.2.20/support: checkgid.map
Only in httpd-2.2.20/support: checkgid.o
Only in httpd-2.2.20/support: dbmmanage
Only in httpd-2.2.20/support: envvars-std
Only in httpd-2.2.20/support: htcacheclean
Only in httpd-2.2.20/support: htcacheclean.exe
Only in httpd-2.2.20/support: htcacheclean.lo
Only in httpd-2.2.20/support: htcacheclean.map
Only in httpd-2.2.20/support: htcacheclean.o
Only in httpd-2.2.20/support: htdbm
Only in httpd-2.2.20/support: htdbm.exe
Only in httpd-2.2.20/support: htdbm.lo
Only in httpd-2.2.20/support: htdbm.map
Only in httpd-2.2.20/support: htdbm.o
Only in httpd-2.2.20/support: htdigest
Only in httpd-2.2.20/support: htdigest.exe
Only in httpd-2.2.20/support: htdigest.lo
Only in httpd-2.2.20/support: htdigest.map
Only in httpd-2.2.20/support: htdigest.o
Only in httpd-2.2.20/support: htpasswd
Only in httpd-2.2.20/support: htpasswd.exe
Only in httpd-2.2.20/support: htpasswd.lo
Only in httpd-2.2.20/support: htpasswd.map
Only in httpd-2.2.20/support: htpasswd.o
Only in httpd-2.2.20/support: httxt2dbm
Only in httpd-2.2.20/support: httxt2dbm.exe
Only in httpd-2.2.20/support: httxt2dbm.lo
Only in httpd-2.2.20/support: httxt2dbm.map
Only in httpd-2.2.20/support: httxt2dbm.o
Only in httpd-2.2.20/support: log_server_status
Only in httpd-2.2.20/support: logresolve
Only in httpd-2.2.20/support: logresolve.exe
Only in httpd-2.2.20/support: logresolve.lo
Only in httpd-2.2.20/support: logresolve.map
Only in httpd-2.2.20/support: logresolve.o
Only in httpd-2.2.20/support: logresolve.pl
Only in httpd-2.2.20/support: Makefile
Only in httpd-2.2.20/support: phf_abuse_log.cgi
Only in httpd-2.2.20/support: rotatelogs
Only in httpd-2.2.20/support: rotatelogs.exe
Only in httpd-2.2.20/support: rotatelogs.lo
Only in httpd-2.2.20/support: rotatelogs.map
Only in httpd-2.2.20/support: rotatelogs.o
Only in httpd-2.2.20/support: split-logfile
Only in httpd-2.2.20/test: .deps
Only in httpd-2.2.20/test: Makefile
